Filter (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Interface Filter

All Known Implementing Classes:
  FilterImpl

    public interface Filter

Type definition of Filter. Filter defines the user's view into enabled dynamic filters, allowing them to set filter parameter values.

Method Summary
`FilterDefinition` | `getFilterDefinition()` Get the filter definition containing additional information about the filter (such as default-condition and expected parameter names/types).
`String` | `getName()` Get the name of this filter.
`Filter` | `setParameter(String name, Object value)` Set the named parameter's value for this filter.
`Filter` | `setParameterList(String name, Collection values)` Set the named parameter's value list for this filter.
`Filter` | `setParameterList(String name, Object[] values)` Set the named parameter's value list for this filter.
`void` | `validate()` Perform validation of the filter state.

Method Detail

### getName

    String getName()

  Get the name of this filter.

  Returns:
    This filter's name.

### getFilterDefinition

    FilterDefinition getFilterDefinition()

  Get the filter definition containing additional information about the filter (such as default-condition and expected parameter names/types).

  Returns:
    The filter definition

### setParameter

    Filter setParameter(String name,
                        Object value)

  Set the named parameter's value for this filter.

  Parameters:
    `name` - The parameter's name.
    `value` - The value to be applied.
  Returns:
    This FilterImpl instance (for method chaining).

### setParameterList

    Filter setParameterList(String name,
                            Collection values)

  Set the named parameter's value list for this filter. Used in conjunction with IN-style filter criteria.

  Parameters:
    `name` - The parameter's name.
    `values` - The values to be expanded into an SQL IN list.
  Returns:
    This FilterImpl instance (for method chaining).

### setParameterList

    Filter setParameterList(String name,
                            Object[] values)

  Set the named parameter's value list for this filter. Used in conjunction with IN-style filter criteria.

  Parameters:
    `name` - The parameter's name.
    `values` - The values to be expanded into an SQL IN list.
  Returns:
    This FilterImpl instance (for method chaining).

### validate

    void validate()
                  throws HibernateException

  Perform validation of the filter state. This is used to verify the state of the filter after its enablement and before its use.

  Throws:
    `HibernateException` - If the state is not currently valid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.